INTERFACE
  PROGRAM pBackgroundTask;
END_INTERFACE

IMPLEMENTATION
  PROGRAM pBackgroundTask
//-----------------------------------------------------------------------------
//(division/place)
//-----------------------------------------------------------------------------
// functionality: This programm uses I/O variables: iab8Input / qab8Output
// assignment: BackgroundTask
//-----------------------------------------------------------------------------
// change log table:
// version         date          expert in charge           changes applied
// 01.00.00    dd.mm.yyyy        (name of expert)           created
//-----------------------------------------------------------------------------
    VAR CONSTANT
      MAX_INDEX : INT := 254;
    END_VAR
    
    VAR
      ab8Input  : ARRAY [0..MAX_INDEX - 1] OF BYTE;
      ab8Output : ARRAY [0..MAX_INDEX - 1] OF BYTE;
      i16Index  : INT;
    END_VAR
    
    //Copy input variables to a temporary variable for better
    //performance
    ab8Input := iab8Input;
    
    //Add an increment of 1 to the inputs
    FOR i16Index := 0 TO MAX_INDEX - 1 BY 1 DO
      ab8Output[i16Index] := ab8Input[i16Index] + 1;
    END_FOR;
    
    //Copy the temporary variables to the output variables for better
    //performance
    qab8Output := ab8Output;
  END_PROGRAM
END_IMPLEMENTATION
